{"openapi":"3.1.0","info":{"title":"BFL Licenses API","description":"Authorize with an API key from your user profile.","version":"0.0.1"},"paths":{"/v1/licenses/models/{model_slug}/usage":{"post":{"tags":["Models"],"summary":"Report Model Usage","operationId":"report_model_usage_v1_licenses_models__model_slug__usage_post","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"model_slug","in":"path","required":true,"schema":{"type":"string","title":"Model Slug"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Usage"}}}},"responses":{"200":{"description":"Usage reported successfully","content":{"application/json":{"schema":{},"example":{"message":"Usage recorded successfully"}}}},"400":{"description":"Bad Request - Model slug not supported","content":{"application/json":{"example":{"detail":"Model slug example-model is not supported for usage reporting"}}}},"403":{"description":"Forbidden - Model not licensed","content":{"application/json":{"example":{"detail":"You have not licensed this model. If you recently changed your subscription, please wait 15mins and then try again."}}}},"422":{"description":"Validation Error - Invalid request body or parameters"},"500":{"description":"Internal Server Error - Failed to process usage","content":{"application/json":{"example":{"detail":"Failed to process usage."}}}}}}}},"components":{"schemas":{"Usage":{"properties":{"number_of_generations":{"type":"integer","exclusiveMinimum":0.0,"title":"Number Of Generations","description":"Number of generations to report (must be a positive integer)","default":1}},"type":"object","title":"Usage"}},"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-key"}}}}